@props([
    'content' => '',
     'contentmobile' => ''
])
<article class=" max-w-none mb-8">
    @if ($link) <a href="{{$link}}">@endif
        <div class="w-full relative"
             style="background-color: {{$bgColor ?? '#000000'}}; mix-blend-mode: {{$bgColor ?? 'normal'}};">


        @if($contentmobile)
            <img src="{{ Storage::url($asset->path) }}"
                 alt="{{$asset->description}}"
                 title="{{$asset->title}}"
                 class="hidden lg:block w-full object-cover {{$classes ?? ''}}"
                 style="mix-blend-mode: {{$blend ?? 'normal'}}; object-position: 50% 25%;"
            />
            <img src="{{ Storage::url($assetmobile->path) }}"
                 alt="{{$assetmobile->description}} "
                 title="{{$assetmobile->title}}"
                 class="block lg:hidden w-full {{$classes ?? ''}}"
                 style="mix-blend-mode: {{$blend ?? 'normal'}}"
            />
        @else
            <img src="{{ Storage::url($asset->path) }}"
                 alt="{{$asset->description}}"
                 title="{{$asset->title}}"
                 class="  w-full h-auto {{$classes ?? ''}}"
                 style="mix-blend-mode: {{$blend ?? 'normal'}}"
            />
        @endif

        <div class="absolute text-white" style="bottom: 3rem; left: 15%; max-width: 500px; margin-right: auto">
            @if ($title)
                <h2 class="text-white "
                    style="display: inline-block;background: rgb(0,0,0,.5);padding: 5px; margin: 5px 0;">{{$title}}</h2>
            @endif
            @if ($strapline ?? false)
                <p class="text-white"
                   style="display: inline-block;background: rgb(0,0,0,.5);padding: 5px; ">{{$strapline}}</p>
            @endif
        </div>
    </div>
        @if ($link)</a>@endif
</article>
