@props([
    'content' => '',
    'contentmobile' => '',
    'link' => '',
    'title'
])
<div class="max-w-none">
    @if ($link)
        <a href="{{$link}}">@endif
            <div class="w-full relative overflow-hidden"
                 style="max-height: 50vh; ">

                @if($contentmobile)
                    <img src="{{ Storage::url($asset->path) }}"
                         alt="{{$asset->description}}"
                         title="{{$asset->title}}"
                         class="hidden lg:block w-full object-cover {{$classes ?? ''}}"

                    />
                    <img src="{{ Storage::url($assetmobile->path) }}"
                         alt="{{$assetmobile->description}} "
                         title="{{$assetmobile->title}}"
                         class="block lg:hidden w-full {{$classes ?? ''}}"

                    />
                @else
                    <img src="{{ Storage::url($asset->path) }}"
                         alt="{{$asset->description}}"
                         title="{{$asset->title}}"
                         class="  w-full h-auto {{$classes ?? ''}}"

                    />
                @endif

            </div>

        @if ($link)</a>
    @endif
    @if ($title)
        <div class="mx-4 flex items-center gap-x-2 justify-end text-gray-500 text-xs lg:text-sm">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                 stroke="currentColor" class="size-3">
                <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 19.5-15-15m0 0v11.25m0-11.25h11.25"/>
            </svg>
            <div class="">{{$title}}</div>
        </div>
    @endif
</div>
