{{--config
 {
    "props": [
        "content",
        "contentmobile"
    ]
}
--}}
@props([
    'content' => '',
     'contentmobile' => ''
])
<div class="bg-primary max-w-none">
    @if ($link ?? '')
        <a href="{{$link}}">@endif
            <div class="w-full relative  bg-primary">

                @if($contentmobile)
                    <img src="{{ Storage::url($asset->path) }}"
                         alt="{{$asset->description}}"
                         title="{{$asset->title}}"
                         class="hidden lg:block w-full object-cover {{$classes ?? ''}}"
                         style="mix-blend-mode: {{$blend ?? 'normal'}}; object-position: 50% 25%;"
                    />
                    <img src="{{ Storage::url($assetmobile->path) }}"
                         alt="{{$assetmobile->description}} "
                         title="{{$assetmobile->title}}"
                         class="block lg:hidden w-full {{$classes ?? ''}}"
                         style="mix-blend-mode: {{$blend ?? 'normal'}}"
                    />
                @else
                    <img src="{{ Storage::url($asset->path) }}"
                         alt="{{$asset->description}}"
                         title="{{$asset->title}}"
                         class="  w-full h-auto {{$classes ?? ''}}"
                         style="mix-blend-mode: {{$blend ?? 'normal'}}"
                    />
                @endif


                <div class="absolute text-white"
                     style="bottom: 3rem; left: 15%; max-width: 500px; margin-right: auto; background: rgb(0,0,0,.5);padding: 5px; margin: 5px 0;">
                    @if ($title?? false)
                        <h2 class="h2 text-white">{{$title}}</h2>
                    @endif
                    @if ($strapline ?? false)
                        <div>{{$strapline}}</div>
                    @endif
                </div>
            </div>
            @if ($link)</a>
    @endif
</div>
